%define api 1
%define major 0
%define libname %mklibname %{name} %{api} %{major}
%define devname %mklibname %{name} -d

Summary:	Native C++ bindings for D-Bus
Name:		dbus-c++
Version:	0.9.0
Release:	5
License:	LGPLv2+
Group:		System/Libraries
Url:		http://freedesktop.org/wiki/Software/dbus-c++
Source0:	http://downloads.sourceforge.net/project/dbus-cplusplus/%{name}/%{version}/lib%{name}-%{version}.tar.gz
Patch0:		libdbus-c++-0.9.0-mdv-build_order.patch
Patch1:		libdbus-c++-0.9.0-mdv-linking.patch
Patch2:		dbus-c++-0.9.0-gcc-4.7.patch
Patch3:		dbus-c++-0.9.0-macro_collision.patch
BuildRequires:	libtool
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gdkmm-2.4)
BuildRequires:	pkgconfig(glib-2.0)
# It's in Contrib so don't use it
#BuildRequires:	ecore-devel

%description
Native C++ bindings for D-Bus for use in C++ programs.

%files
%doc COPYING AUTHORS
%{_bindir}/dbusxx-introspect
%{_bindir}/dbusxx-xml2cpp

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Native C++ bindings for D-Bus
Group:		System/Libraries

%description -n %{libname}
Native C++ bindings for D-Bus for use in C++ programs.

%files -n %{libname}
%{_libdir}/libdbus-c++*-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{name} >= %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%doc TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

#----------------------------------------------------------------------------

%prep
%setup -q -n lib%{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--disable-ecore \
	--enable-glib \
	--disable-tests
make

%install
%makeinstall_std


%changelog

* Sun May 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.0-5
- (16315f7) Add patch from Fedora to fix build (macro collision)


